<template>
	<div class="">
		<div class="crumbs">
			<el-breadcrumb separator="/">
				<el-breadcrumb-item><i class="el-icon-lx-copy"></i> 文章-修改</el-breadcrumb-item>
			</el-breadcrumb>
		</div>
		<div class="container">
			<el-tabs v-model="message">
				<el-tab-pane label="基本信息" name="first">
					<el-form ref="add_Form1" :model="addForm1" :rules="rules" label-width="190px">
						<br>
						<el-form-item label="显示文章">
							<el-switch v-model="addForm1.is_public" disabled class="captcha-img"
								@click.native="changeShow(addForm1.is_public)" :active-value="1" :inactive-value="0"
								active-text="是" inactive-text="否">
							</el-switch>
						</el-form-item>
						<br>
						<el-form-item label="文章标题" prop="title">
							<el-input v-model="addForm1.title"></el-input>
						</el-form-item>
						<el-form-item label="标题斜体" prop="ltai">
							<el-input v-model="addForm1.ltai" placeholder="eg : keyword1,keyword2"></el-input>
						</el-form-item>
						<el-form-item label="所属期刊分期">
							<el-cascader :options="optionx" v-model="addForm1.optionx" :props="defaultParams"
								placeholder="请选择期刊分期" class="mr10" style="width: 460px;"></el-cascader>
						</el-form-item>
						<el-form-item label="页码" prop="npp">
							<el-input v-model="addForm1.npp"></el-input>
						</el-form-item>
						<el-form-item label="配图" label-width="190px">
							<el-upload class="avatar-uploader" :action="IMGup_Url+'master/Article/up_article_file'"
								:show-file-list="false" name="articleicon" :on-success="handleAvatarSuccess"
								:on-error="handleAvatarError" :before-upload="beforeAvatarUpload">
								<img v-if="imageUrl" :src="imageUrl" class="avatar">
								<i v-else class="el-icon-plus avatar-uploader-icon"></i>
							</el-upload>
						</el-form-item>
						<el-form-item label="文章类型">
							<el-select v-model="addForm1.type" filterable placeholder="请选择文章类型">
								<el-option v-for="item in medical" :key="item.value" :label="item.label"
									:value="item.value"></el-option>
							</el-select>
						</el-form-item>
						<!-- <el-form-item label="图片证书上传">
							<el-upload class="upload-demo" :action="IMGup_Url+'master/Article/article_file/type/articlePDF'" :on-success="handleFileSuccessF"
							 name="articlePDF" type="articlePDF" :on-error="handleFileError" :on-preview="handlePreview" :on-remove="handleRemove"
							 :before-remove="beforeRemoveF" :on-change="handleChangeF" accept=".pdf" :on-exceed="handleExceed" :file-list="file_picF"
							 ref="upload">
								<el-button type="text" style="font-weight: bolder;"><b class="el-icon-lx-top" style="font-weight: bolder;"></b>upload</el-button>
							</el-upload>
							<span style="font-size: 12px; color: #aaa;margin-left: 30px;">只能上传pdf文件</span>
						</el-form-item> -->
						<!-- <el-row>
							<el-col :span="4">
								<el-form-item label="Abstract">
									<el-input-number v-model="addForm1.abs_num" :min="0"></el-input-number>
								</el-form-item>
							</el-col>
							<el-col :span="4">
								<el-form-item label="HTML">
									<el-input-number v-model="addForm1.html_num" :min="0"></el-input-number>
								</el-form-item<strong></strong>>
							</el-col>
							<el-col :span="4">
								<el-form-item label="PDF">
									<el-input-number v-model="addForm1.pdf_num" :min="0"></el-input-number>
								</el-form-item>
							</el-col>
						</el-row> -->
						<el-form-item label="引用数">
							<el-input-number v-model="addForm1.cited" :min="0"></el-input-number>
						</el-form-item>
						<el-form-item label="作者简称（引用格式中）">
							<el-input v-model="addForm1.abbr"></el-input>
						</el-form-item>
						<el-form-item label="首页简介标题">
							<el-input v-model="addForm1.tradition_tag" placeholder="eg ：Highlights"></el-input>
						</el-form-item>
						<el-form-item label="Highlights内容">
							<quill-editor ref="myTextEditor" v-model="addForm1.tradition" :options="editorOption">
							</quill-editor>
						</el-form-item>
						<el-form-item label="Medical history of objective">
							<quill-editor ref="myTextEditor" v-model="addForm1.mhoo" :options="editorOption">
							</quill-editor>
						</el-form-item>
						<el-form-item label="Doi">
							<span>{{this.addForm1.doi}}</span>
							<el-button type="warning" @click="apply_Doi" v-if="addForm1.doi==''">申请DOI</el-button>
						</el-form-item>
						<el-form-item label="简介" prop="abstract">
							<quill-editor ref="myTextEditor" v-model="addForm1.abstract" :options="editorOption">
							</quill-editor>
						</el-form-item>
						<el-form-item label="关键字" prop="keywords">
							<el-input v-model="addForm1.keywords" placeholder="eg : keyword1,keyword2,keyword3">
							</el-input>
							<!-- <quill-editor ref="myTextEditor" v-model="addForm1.keywords" :options="editorOption"></quill-editor> -->
						</el-form-item>
						<el-form-item label="Fund">
							<el-input v-model="addForm1.fund"></el-input>
						</el-form-item>
						<el-form-item label="HTML版本">
							<el-select v-model="addForm1.file_html" filterable placeholder="请选择">
								<el-option key="" value="" label="无"></el-option>
								<el-option v-for="item in opHTML" :key="sx_+'/'+item.val+'/index.html'"
									:label="item.val" :value="sx_+'/'+item.val+'/index.html'"></el-option>
							</el-select>
						</el-form-item>
						<el-form-item label="发表日期" prop="pub_date">
							<el-input v-model="addForm1.pub_date" placeholder="eg : 01 January 2020"></el-input>
						</el-form-item>
						<el-form-item label="客座期刊">
							<el-select v-model="addForm1.journal_special_id" filterable placeholder="请选择客座期刊"
								value-key="groupID">
								<el-option :key="0" label="无" :value="0"></el-option>
								<el-option v-for="item in guest" :key="item.journal_special_id" :label="item.title"
									:value="item.journal_special_id"></el-option>
							</el-select>
						</el-form-item>
						<el-form-item label="副标题">
							<el-input v-model="addForm1.subtitle" placeholder="eg ：请输入文章副标题"></el-input>
							<span style="font-size: 12px;color: #aaaaaa;">轮播图文章副标题 (选填项)</span>
						</el-form-item>
						<el-form-item label="轮播图" label-width="190px">
							<el-upload class="avatar-uploader" :action="IMGup_Url+'master/Article/up_rotation_file'"
								:show-file-list="false" name="rotation" :on-success="handleAvatarSuccess_"
								:on-error="handleAvatarError_" :before-upload="beforeAvatarUpload_">
								<img v-if="imageUrl_" :src="imageUrl_" class="avatar">
								<i v-else class="el-icon-plus avatar-uploader-icon"></i>
							</el-upload>
							<span style="font-size: 12px;color: #aaaaaa;">轮播图图片 (选填项)</span>
						</el-form-item>
						<el-form-item label="权重">
							<el-input-number v-model="addForm1.sort" :min="0"></el-input-number>
						</el-form-item>
						<el-form-item label="其他信息">
							<el-select v-model="addForm1.other_state" filterable value-key="groupID">
								<el-option :key="0" label="无" :value="0"></el-option>
								<el-option :key="1" label="Being questioned(被质疑)" :value="1"></el-option>
								<el-option :key="2" label="Retracted(被撤回)" :value="2"></el-option>
							</el-select>
						</el-form-item>
					</el-form>
					<div style="text-align: right;">
						<el-button class="editor-btn" type="primary" @click="saveAdd1(addForm1)">提交</el-button>
					</div>
					<!-- 申请Doi弹出框 -->
					<el-dialog title="申请 - Doi" :visible.sync="addDoi" width="480px">
						<el-form ref="add_Doi" :model="addDoiMes" :rules="rules" label-width="75px">
							<el-form-item label="Doi" prop="doi_num">
								<el-input v-model="addDoiMes.doi_num">
									<template slot="prepend">10.53388/</template>
								</el-input>
							</el-form-item>
						</el-form>
						<span slot="footer" class="dialog-footer">
							<el-button @click="addDoi = false">取 消</el-button>
							<el-button type="primary" @click="doiAdd(addDoiMes)" :disabled="this.openIsDisabled">确 定
							</el-button>
						</span>
					</el-dialog>
				</el-tab-pane>
				<el-tab-pane label="作者" name="second">
					<template v-if="message === 'second'">
						<!-- 作者列表 -->
						<div class="handle-box">
							<el-button type="primary" icon="el-icon-plus" class="handle-del" @click="add_Authorclick">
								添加作者</el-button>
						</div>
						<el-table :data="authorData" border class="table" ref="multipleTable"
							header-cell-class-name="table-header">
							<el-table-column prop="author_name" label="作者"></el-table-column>
							<el-table-column label="第一作者">
								<template slot-scope="scope">
									<el-tag round
										:type="scope.row.is_first=='0'?'danger':(scope.row.is_first=='1'?'success':'')">
										{{scope.row.is_first=='0'?'×':(scope.row.is_first=='1'?'√':'')}}
									</el-tag>
								</template>
							</el-table-column>
							<el-table-column label="联系作者 ( 邮箱 ) ">
								<template slot-scope="scope">
									<el-tag round
										:type="scope.row.is_report=='0'?'danger':(scope.row.is_report=='1'?'success':'')">
										{{scope.row.is_report=='0'?'×':(scope.row.is_report=='1'?'√':'')}}
									</el-tag>
									&nbsp;&nbsp;&nbsp;
									<span>{{scope.row.is_report=='0'?'':(scope.row.is_report=='1'?scope.row.email:'')}}</span>
								</template>
							</el-table-column>
							<el-table-column prop="organs" label="所属机构">
								<template slot-scope="scope">
									<span v-for="(u,i) in scope.row.organs">{{u.organ_name}}<br /></span>
								</template>
							</el-table-column>
							<el-table-column prop="author_country" label="国家"></el-table-column>
							<el-table-column prop="orcid" label="ORCID"></el-table-column>
							<el-table-column label="操作" width="180" align="center">
								<template slot-scope="scope">
									<el-button type="text" icon="el-icon-edit"
										@click="authorhandEdit(scope.$index, scope.row)">编辑</el-button>
									<el-button type="text" icon="el-icon-delete" class="red"
										@click="authorDelete(scope.$index, scope.row)">删除</el-button>
								</template>
							</el-table-column>
						</el-table>
						<!-- 添加作者弹出框 -->
						<el-dialog title="添加 - 作者" :visible.sync="addAuthor" width="500px">
							<el-form ref="add_Author" :model="addFomauthor" :rules="rules" label-width="75px">
								<el-form-item label="作者" prop="author_name">
									<el-input v-model="addFomauthor.author_name"></el-input>
								</el-form-item>
								<el-form-item label="第一作者">
									<el-radio-group v-model="addFomauthor.is_first">
										<el-radio label="1">是</el-radio>
										<el-radio label="0">否</el-radio>
									</el-radio-group>
								</el-form-item>
								<el-form-item label="通讯作者">
									<el-radio-group v-model="addFomauthor.is_report">
										<el-radio label="1">是</el-radio>
										<el-radio label="0">否</el-radio>
									</el-radio-group>
								</el-form-item>
								<el-form-item label="邮箱" prop="email" v-if="addFomauthor.is_report=='1'">
									<el-input v-model="addFomauthor.email" type="email"></el-input>
								</el-form-item>
								<el-form-item label="所属机构">
									<el-checkbox-group v-model="addFomauthor.organs" class="suoshu_jigou">
										<el-checkbox v-for="item in mechanism" style="display:block;" name="type"
											:label="item.article_organ_id" :key="item.article_organ_id">
											{{item.organ_name}}
										</el-checkbox>
									</el-checkbox-group>
								</el-form-item>
								<el-form-item label="国家" prop="author_country">
									<el-select v-model="addFomauthor.author_country" filterable placeholder="请选择国家"
										value-key="groupID">
										<el-option v-for="item in country" :key="item.en_name" :label="item.en_name"
											:value="item.en_name"></el-option>
									</el-select>
								</el-form-item>
								<el-form-item label="ORCID" prop="orcid">
									<el-input v-model="addFomauthor.orcid" type="orcid">
										<template slot="prepend">https://orcid.org/</template>
									</el-input>
								</el-form-item>
							</el-form>
							<span slot="footer" class="dialog-footer">
								<el-button @click="addAuthor = false">取 消</el-button>
								<el-button type="primary" @click="authorAdd(addFomauthor)">确 定</el-button>
							</span>
						</el-dialog>
						<!-- 编辑作者弹出框 -->
						<el-dialog title="编辑 - 作者" :visible.sync="editAuthor" width="500px">
							<el-form ref="edit_Author" :model="editFomauthor" :rules="rules" label-width="85px">
								<el-form-item label="作者" prop="author_name">
									<el-input v-model="editFomauthor.author_name"></el-input>
								</el-form-item>
								<el-form-item label="第一作者">
									<el-radio-group v-model="editFomauthor.is_first">
										<el-radio :label="1">是</el-radio>
										<el-radio :label="0">否</el-radio>
									</el-radio-group>
								</el-form-item>
								<el-form-item label="通讯作者">
									<el-radio-group v-model="editFomauthor.is_report">
										<el-radio :label="1">是</el-radio>
										<el-radio :label="0">否</el-radio>
									</el-radio-group>
								</el-form-item>
								<el-form-item label="邮箱" prop="email" v-if="editFomauthor.is_report=='1'">
									<el-input v-model="editFomauthor.email" type="email"></el-input>
								</el-form-item>
								<el-form-item label="所属机构">
									<el-checkbox-group v-model="editFomauthor.organs" class="suoshu_jigou">
										<el-checkbox v-for="item in mechanism" style="display:block;"
											:label="item.article_organ_id+''" :key="item.article_organ_id">
											{{item.organ_name}}
										</el-checkbox>
									</el-checkbox-group>
								</el-form-item>
								<el-form-item label="国家" prop="author_country">
									<el-select v-model="editFomauthor.author_country" filterable placeholder="请选择国家"
										value-key="groupID" @change="chan_id($event)">
										<el-option v-for="item in country" :key="item.en_name" :label="item.en_name"
											:value="item.en_name"></el-option>
									</el-select>
								</el-form-item>
								<el-form-item label="ORCID" prop="orcid">
									<el-input v-model="editFomauthor.orcid" type="orcid">
										<template slot="prepend">https://orcid.org/</template>
									</el-input>
								</el-form-item>
							</el-form>
							<span slot="footer" class="dialog-footer">
								<el-button @click="editAuthor = false">取 消</el-button>
								<el-button type="primary" @click="authorEdit(editFomauthor)">确 定</el-button>
							</span>
						</el-dialog>
						<!-- 机构列表 -->
						<div class="handle-box">
							<el-button type="primary" icon="el-icon-plus" class="handle-del" @click="add_Schoolclick">
								添加机构</el-button>
						</div>
						<el-table :data="schoolData" border class="table" ref="multipleTable"
							header-cell-class-name="table-header">
							<el-table-column prop="organ_name" label="机构"></el-table-column>
							<el-table-column label="操作" width="180" align="center">
								<template slot-scope="scope">
									<el-button type="text" icon="el-icon-edit"
										@click="schoolhandEdit(scope.$index, scope.row)">编辑</el-button>
									<el-button type="text" icon="el-icon-delete" class="red"
										@click="schoolDelete(scope.$index, scope.row)">删除</el-button>
								</template>
							</el-table-column>
						</el-table>
						<!-- 添加机构弹出框 -->
						<el-dialog title="添加 - 机构" :visible.sync="addSchool" width="25%">
							<el-form ref="add_School" :model="addFomschool" :rules="rules" label-width="60px">
								<el-form-item label="机构" prop="organ_name">
									<el-input v-model="addFomschool.organ_name"></el-input>
								</el-form-item>
							</el-form>
							<span slot="footer" class="dialog-footer">
								<el-button @click="addSchool = false">取 消</el-button>
								<el-button type="primary" @click="schoolAdd(addFomschool)">确 定</el-button>
							</span>
						</el-dialog>
						<!-- 编辑机构弹出框 -->
						<el-dialog title="编辑 - 机构" :visible.sync="editSchool" width="25%">
							<el-form ref="edit_School" :model="editFomschool" :rules="rules" label-width="60px">
								<el-form-item label="机构" prop="organ_name">
									<el-input v-model="editFomschool.organ_name"></el-input>
								</el-form-item>
							</el-form>
							<span slot="footer" class="dialog-footer">
								<el-button @click="editSchool = false">取 消</el-button>
								<el-button type="primary" @click="schoolEdit(editFomschool)">确 定</el-button>
							</span>
						</el-dialog>
					</template>
				</el-tab-pane>
				<el-tab-pane label="文章内容" name="third">
					<template v-if="message === 'third'">
						<el-form label-width="220px">
							<el-form-item label="PDF 文件上传">
								<el-upload class="upload-demo"
									:action="IMGup_Url+'master/Article/article_file/type/articlePDF'"
									:on-success="handleFileSuccess2" name="articlePDF" type="articlePDF"
									:on-error="handleFileError" :on-preview="handlePreview" :on-remove="handleRemove"
									:before-remove="beforeRemove2" :on-change="handleChange2" accept=".pdf"
									:on-exceed="handleExceed" :file-list="fileL_pdf" ref="upload">
									<el-button type="text" style="font-weight: bolder;"><b class="el-icon-lx-top"
											style="font-weight: bolder;"></b>upload</el-button>
								</el-upload>
								<span style="font-size: 12px; color: #aaa;margin-left: 30px;">只能上传pdf文件</span>
							</el-form-item>
							<el-form-item label="SUB 文件上传">
								<el-upload class="upload-demo"
									:action="IMGup_Url+'master/Article/article_file/type/articleSUB'"
									:on-success="handleFileSuccess3" name="articleSUB" type="articleSUB"
									:on-error="handleFileError" :on-preview="handlePreview" :on-remove="handleRemove"
									:before-remove="beforeRemove3" :on-change="handleChange3" accept=".pdf"
									:on-exceed="handleExceed" :file-list="fileL_sub" ref="upload">
									<el-button type="text" style="font-weight: bolder;"><b class="el-icon-lx-top"
											style="font-weight: bolder;"></b>upload</el-button>
								</el-upload>
								<span style="font-size: 12px; color: #aaa;margin-left: 30px;">只能上传pdf文件</span>
							</el-form-item>
							<el-form-item label="SUB2 文件上传">
								<el-upload class="upload-demo"
									:action="IMGup_Url+'master/Article/article_file/type/articleSUB2'"
									:on-success="handleFileSuccess4" name="articleSUB2" type="articleSUB2"
									:on-error="handleFileError" :on-preview="handlePreview" :on-remove="handleRemove"
									:before-remove="beforeRemove4" :on-change="handleChange4" accept=".mp4,.zip"
									:on-exceed="handleExceed" :file-list="fileL_sub2" ref="upload">
									<el-button type="text" style="font-weight: bolder;"><b class="el-icon-lx-top"
											style="font-weight: bolder;"></b>upload</el-button>
								</el-upload>
								<span style="font-size: 12px; color: #aaa;margin-left: 30px;">只能上传mp4或zip文件</span>
							</el-form-item>
							<el-form-item label="EndNote 文件上传">
								<el-upload class="upload-demo"
									:action="IMGup_Url+'master/Article/article_file/type/endNote'"
									:on-success="handleFileSuccess5" name="endNote" type="endNote"
									:on-error="handleFileError" :on-preview="handlePreview" :on-remove="handleRemove"
									:before-remove="beforeRemove5" :on-change="handleChange5" :on-exceed="handleExceed"
									:file-list="fileL_Note" ref="upload">
									<el-button type="text" style="font-weight: bolder;"><b class="el-icon-lx-top"
											style="font-weight: bolder;"></b>upload</el-button>
								</el-upload>
								<span style="font-size: 12px; color: #aaa;margin-left: 30px;">只能上传EndNote文件</span>
							</el-form-item>
							<el-form-item label="BibTeX 文件上传">
								<el-upload class="upload-demo"
									:action="IMGup_Url+'master/Article/article_file/type/bibTex'"
									:on-success="handleFileSuccess6" name="bibTex" type="bibTex"
									:on-error="handleFileError" :on-preview="handlePreview" :on-remove="handleRemove"
									:before-remove="beforeRemove6" :on-change="handleChange6" :on-exceed="handleExceed"
									:file-list="fileL_Tex" ref="upload">
									<el-button type="text" style="font-weight: bolder;"><b class="el-icon-lx-top"
											style="font-weight: bolder;"></b>upload</el-button>
								</el-upload>
								<span style="font-size: 12px; color: #aaa;margin-left: 30px;">只能上传BibTeX文件</span>
							</el-form-item>
							<el-form-item label="ICMJE DISCLOSURE FORM">
								<el-upload class="upload-demo"
									:action="IMGup_Url+'master/Article/article_file/type/articleCDF'"
									:on-success="handleFileSuccess7" name="articleCDF" type="articleCDF"
									:on-error="handleFileError" :on-preview="handlePreview" :on-remove="handleRemove"
									:before-remove="beforeRemove7" :on-change="handleChange7" accept=".pdf,.doc,.docx"
									:on-exceed="handleExceed" :file-list="fileL_Icm" ref="upload">
									<el-button type="text" style="font-weight: bolder;"><b class="el-icon-lx-top"
											style="font-weight: bolder;"></b>upload</el-button>
								</el-upload>
								<span style="font-size: 12px; color: #aaa;margin-left: 30px;">只能上传pdf或word文件</span>
							</el-form-item>
						</el-form>
					</template>
				</el-tab-pane>
				<el-tab-pane label="话题" name="forth">
					<template v-if="message === 'forth'">
						<el-form ref="add_Form4" :model="addForm4" label-width="70px">
							<el-form-item label="话题列表">
								<el-checkbox-group v-model="addForm4.topic" value-key='journal_topic_id'
									style="margin-left: 60px;">
									<el-checkbox v-for="item in listopic" style="display:block;" name="topic"
										:label="item.journal_topic_id+''" :key="item.journal_topic_id"
										@change="chan_topic($event,item)">{{item.tname}}</el-checkbox>
								</el-checkbox-group>
							</el-form-item>
						</el-form>
					</template>
				</el-tab-pane>
				<!-- <el-tab-pane label="DE话题" name="fifth">
					<template v-if="message === 'fifth'">
						 
					</template>
				</el-tab-pane> -->
			</el-tabs>
		</div>
	</div>
</template>

<script>
	import 'quill/dist/quill.core.css';
	import 'quill/dist/quill.snow.css';
	import 'quill/dist/quill.bubble.css';
	import {
		quillEditor
	} from 'vue-quill-editor';
	export default {
		// name: 'art_text',
		data() {
			return {
				openIsDisabled: false,
				message: 'first',
				idform: {},
				IMGdo_Url: this.IMGdoURL,
				IMGup_Url: this.IMGupURL,
				imageUrl: '',
				imageUrl_: '',
				addForm1: {
					type: "",
					journal_special_id: "无",
					sort: 0,
				},
				addDoiMes: {},
				addForm4: {
					topic: []
				},
				optionx: [],
				sx_: '',
				opHTML: [],
				medical: [{
						label: '无',
						value: ''
					},
					{
						label: 'ARTICLE',
						value: 'Article'
					},
					{
						label: 'REVIEW',
						value: 'Review'
					},
					{
						label: 'CASE REPORT',
						value: 'Case report'
					},
					{
						label: 'RESEARCH PROPOSAL',
						value: 'Research proposal'
					},
					{
						label: 'NEWS',
						value: 'News'
					},
					{
						label: 'COMMENT',
						value: 'Comment'
					},
					{
						label: 'CORRECTION',
						value: 'Correction'
					},
					{
						label: 'HYPOTHESIS',
						value: 'Hypothesis'
					},
					{
						label: 'PREFACE',
						value: 'Preface'
					},
					{
						label: 'EDITORIAL',
						value: 'Editorial'
					},
					{
						label: 'REPORT',
						value: 'Report'
					},
					{
						label: 'LETTER',
						value: 'Letter'
					},
					{
						label: 'EMPIRICAL FORMULA',
						value: 'Empirical formula'
					},
					{
						label: 'EVIDENCE-BASED MEDICINE',
						value: 'Evidence-based medicine'
					},
					{
						label: 'EXPERT CONSENSUS',
						value: 'Expert consensus'
					},
					{
						label: 'LETTER TO EDITOR',
						value: 'Letter to editor'
					},
					{
						label: 'QUESTIONNAIRE INVESTIGATION',
						value: 'Questionnaire investigation'
					},
					{
						label: 'PROTOCOL',
						value: 'Protocol'
					},
					{
						label: 'CASE SERIES',
						value: 'Case Series'
					},
					{
						label: 'RETRACTION',
						value: 'Retraction'
					},
					{
						label: 'MINI REVIEW',
						value: 'Mini Review'
					},
					{
						label: '内经难经',
						value: '内经难经'
					},
					{
						label: '伤寒金匮',
						value: '伤寒金匮'
					},
					{
						label: '神农本草经',
						value: '神农本草经'
					},
					{
						label: '温病研究',
						value: '温病研究'
					},
					{
						label: '唐宋方药',
						value: '唐宋方药'
					},
					{
						label: '金元各家',
						value: '金元各家'
					},
					{
						label: '明清经典',
						value: '明清经典'
					},
					{
						label: '中西汇通',
						value: '中西汇通'
					},
					{
						label: '太湖选粹',
						value: '太湖选粹'
					},
					{
						label: '针灸推拿',
						value: '针灸推拿'
					},
					{
						label: '名医名方',
						value: '名医名方'
					},
					{
						label: '新冠肺炎',
						value: '新冠肺炎'
					},
					{
						label: '书评',
						value: '书评'
					}
				],
				defaultParams: {
					label: 'title',
					value: 'journal_stage_id',
					children: 'children'
				},
				addDoi: false,
				editAuthor: false,
				addAuthor: false,
				editSchool: false,
				addSchool: false,
				authorData: [],
				schoolData: [],
				addFomauthor: {
					is_first: '0',
					is_report: '0',
					organs: []
				},
				editFomauthor: {
					// organs:[]
				},
				addFomschool: {

				},
				editFomschool: {

				},
				file_picF: [],
				fileL_pdf: [],
				fileL_sub: [],
				fileL_sub2: [],
				fileL_Note: [],
				fileL_Tex: [],
				fileL_Icm: [],
				content: '',
				editorOption: {
					placeholder: 'Please enter...'
				},
				country: [],
				guest: [],
				jour_id_: '',
				mechanism: [],
				listopic: [],
				rules: {
					title: [{
						required: true,
						message: '请输入文章标题',
						trigger: 'blur'
					}],
					npp: [{
						required: true,
						message: '请输入文章页码',
						trigger: 'blur'
					}],
					tradition_tag: [{
						required: true,
						message: '请输入封皮标签',
						trigger: 'blur'
					}],
					tradition: [{
						required: true,
						message: '请输入封皮简介',
						trigger: 'blur'
					}],
					pub_date: [{
						required: true,
						message: '请输入发表日期',
						trigger: 'blur'
					}],
					abstract: [{
						required: true,
						message: '请输入简介',
						trigger: 'blur'
					}],
					keywords: [{
						required: true,
						message: '请输入关键字',
						trigger: 'blur'
					}],
					fund: [{
						required: true,
						message: '请输入Fund',
						trigger: 'blur'
					}],
					act_guest: [{
						required: true,
						message: '请选择客座期刊',
						trigger: 'blur'
					}],
					pub_date: [{
						required: true,
						message: '请输入发表日期',
						trigger: 'blur'
					}],
					doi_num: [{
						required: true,
						message: '请输入Doi',
						trigger: 'blur'
					}],
					author_name: [{
						required: true,
						message: '请输入作者',
						trigger: 'blur'
					}],
					email: [{
						required: true,
						message: '请输入联系作者邮箱',
						trigger: 'blur'
					}],
					author_country: [{
						required: true,
						message: '请选择国家',
						trigger: 'blur'
					}],
					organ_name: [{
						required: true,
						message: '请输入机构',
						trigger: 'blur'
					}]
				}
			};
		},
		created() {
			this.getData();
		},
		methods: {
			getData() {
				this.idform.article_id = this.$route.query.article_num;
				this.addDoiMes.article_id = this.$route.query.article_num;
				this.addForm1.article_id = this.$route.query.article_num;
				this.addFomauthor.article_id = this.$route.query.article_num;
				this.addFomschool.article_id = this.$route.query.article_num;
				this.$api
					.post('master/Article/getArticleBase', this.idform)
					.then(res => {
						if (res.code == 0) {
							this.addForm1 = res.data.articleInfo;
							this.addForm1.optionx = [res.data.articleInfo.journal_id, res.data.articleInfo
								.journal_stage_id
							];
							if (res.data.articleInfo.icon != "") {
								this.imageUrl = this.IMGdo_Url + 'articleicon/' + res.data.articleInfo.icon;
							}
							if (res.data.articleInfo.rotation != "") {
								this.imageUrl_ = this.IMGdo_Url + 'rotation/' + res.data.articleInfo.rotation;
							}
							// if (res.data.articleInfo.file_pdf != "") {
							// 	this.file_picF = [{}];
							// 	this.file_picF[0].name = 'articlePDF';
							// 	this.file_picF[0].url = this.IMGdo_Url + 'articlePDF/' + res.data.articleInfo.file_pdf;
							// }
							if (res.data.articleInfo.file_pdf != "") {
								this.fileL_pdf = [{}];
								this.fileL_pdf[0].name = 'articlePDF';
								this.fileL_pdf[0].url = this.IMGdo_Url + 'articlePDF/' + res.data.articleInfo.file_pdf;
							}
							if (res.data.articleInfo.file_sub != "") {
								this.fileL_sub = [{}];
								this.fileL_sub[0].name = 'articleSUB';
								this.fileL_sub[0].url = this.IMGdo_Url + 'articleSUB/' + res.data.articleInfo.file_sub;
							}
							if (res.data.articleInfo.file_sub2 != "") {
								this.fileL_sub2 = [{}];
								this.fileL_sub2[0].name = 'articleSUB2';
								this.fileL_sub2[0].url = this.IMGdo_Url + 'articleSUB2/' + res.data.articleInfo
									.file_sub2;
							}
							if (res.data.articleInfo.endnote != "") {
								this.fileL_Note = [{}];
								this.fileL_Note[0].name = 'endNote';
								this.fileL_Note[0].url = this.IMGdo_Url + 'endNote/' + res.data.articleInfo.endnote;
							}
							if (res.data.articleInfo.bibtex != "") {
								this.fileL_Tex = [{}];
								this.fileL_Tex[0].name = 'bibTex';
								this.fileL_Tex[0].url = this.IMGdo_Url + 'bibTex/' + res.data.articleInfo.bibtex;
							}
							if (res.data.articleInfo.file_cdf != "") {
								this.fileL_Icm = [{}];
								this.fileL_Icm[0].name = 'articleCDF';
								this.fileL_Icm[0].url = this.IMGdo_Url + 'articleCDF/' + res.data.articleInfo.file_cdf;
							}
							this.opHTML = res.data.files;
							this.sx_ = res.data.journal.sx;
							// this.jour_id_ = res.data.journal.journal_id;

							this.$api
								.post('master/Article/getJournalSpecials', {
									'journal_id': res.data.journal.journal_id
								})
								.then(res => {
									if (res.code == 0) {
										this.guest = res.data.specials;
									} else {
										this.$message.error(res.msg);
									}
								})
								.catch(err => {
									this.$message.error(err);
								});
						} else {
							this.$message.error(res.msg);
						}
					})
					.catch(err => {
						this.$message.error(err);
					});
				this.$api
					.post('master/Article/getJournalAndStage', {
						'editor_id': localStorage.getItem('admin_id')
					})
					.then(res => {
						if (res.code == 0) {
							this.optionx = res.data.joutaglist;
						} else {
							this.$message.error(res.msg);
						}
					})
					.catch(err => {
						this.$message.error(err);
					});
				this.$api
					.post('master/Article/getArticleAuthor', this.idform)
					.then(res => {
						if (res.code == 0) {
							this.authorData = res.data.authorList;
							this.schoolData = res.data.organList;
							this.mechanism = res.data.organList;
						} else {
							this.$message.error(res.msg);
						}
					})
					.catch(err => {
						this.$message.error(err);
					});

				this.$api
					.post('master/Article/getCountrys')
					.then(res => {
						if (res.code == 0) {
							this.country = res.data.countrys;
						} else {
							this.$message.error(res.msg);
						}
					})
					.catch(err => {
						this.$message.error(err);
					});
				this.$api
					.post('master/Article/getTopicByArticle', this.idform)
					.then(res => {
						if (res.code == 0) {
							for (var r = 0; r < res.data.nowtopic.length; r++) {
								for (var v = 0; v < res.data.topics.length; v++) {
									if (res.data.nowtopic[r].topic_id == res.data.topics[v].journal_topic_id) {
										res.data.topics[v].article_to_topic_id = res.data.nowtopic[r]
											.article_to_topic_id;
									}
								};
							};
							this.listopic = res.data.topics;
							let wzht_list = [];
							for (var i = 0; i < res.data.nowtopic.length; i++) {
								wzht_list.push(res.data.nowtopic[i].topic_id + '');
							};
							this.addForm4.topic = wzht_list;
						} else {
							this.$message.error(res.msg);
						}
					})
					.catch(err => {
						this.$message.error(err);
					});
			},
			// 是否发表
			changeShow(e) {
				// 二次确认删除
				this.$confirm(`确定要${!e ? '' : '取消'}显示文章吗？`, '提示', {
						type: 'warning'
					})
					.then(async () => {
						if (e == '0') {
							this.addForm1.is_public = '1'
						} else {
							this.addForm1.is_public = '0'
						}

						this.$api
							.post('master/Article/editArticleBase', this.addForm1)
							.then(res => {
								if (res.code == 0) {
									this.$message.success(`${!e ? '' : '取消'}显示文章成功!`);
									this.getData();
								} else {
									this.$message.error(res.msg);
								}
							})
							.catch(err => {
								this.$message.error(err);
							});
					})
					.catch(() => {});

			},
			// 申请Doi弹窗
			apply_Doi() {
				this.addDoi = true;
			},
			doiAdd(addDoiMes) {
				this.openIsDisabled = true
				this.$refs.add_Doi.validate((valid) => {
					if (valid) {
						this.$api
							.post('master/Article/pushCrossref', this.addDoiMes)
							.then(res => {
								if (res.code == 0) {
									this.addDoi = false;
									this.openIsDisabled = false;
									this.$refs.add_Doi.resetFields();
									this.getData();
								} else {
									this.openIsDisabled = false;
									this.$message.error(res.msg);
								}
							})
							.catch(err => {
								this.openIsDisabled = false;
								this.$message.error(err);
							});
					} else {
						this.$message.error('error submit!!');
						this.openIsDisabled = false;
						return false;
					}
				});
			},
			// 添加作者操作
			add_Authorclick(index, row) {
				this.aid = index;
				this.addAuthor = true;
			},
			authorAdd(addFomauthor) {
				this.$refs.add_Author.validate((valid) => {
					if (valid) {
						this.$api
							.post('master/Article/addArticleAuthor', this.addFomauthor)
							.then(res => {
								if (res.code == 0) {
									this.addAuthor = false;
									this.$refs.add_Author.resetFields();
									this.addFomauthor.organs = [];
									this.getData();
								} else {
									this.$message.error(res.msg);
								}
							})
							.catch(err => {
								this.$message.error(err);
							});
					} else {
						this.$message.error('error submit!!');
						return false;
					}
				});
			},
			handleCheckedCitiesChange(value) {

			},
			// 编辑作者操作
			authorhandEdit(index, row) {
				this.idx = index;
				this.editFomauthor = Object.assign({}, row);
				this.editAuthor = true;
				let xzjg_list = [];
				for (var i = 0; i < this.editFomauthor.organs.length; i++) {
					xzjg_list.push(this.editFomauthor.organs[i].article_organ_id + '');
				};
				this.editFomauthor.organs = xzjg_list;
			},
			authorEdit(editFomauthor) {
				this.$refs.edit_Author.validate((valid) => {
					if (valid) {
						this.$api
							.post('master/Article/editArticleAuthor', this.editFomauthor)
							.then(res => {
								if (res.code == 0) {
									this.editAuthor = false;
									this.$message.success(`更改第 ${this.idx + 1} 行作者成功`);
									this.getData();
								} else {
									this.$message.error(res.msg);
								}
							})
							.catch(err => {
								this.$message.error(err);
							});

					} else {
						this.$message.error('error submit!!');
						return false;
					}
				});
			},
			// 删除作者
			authorDelete(index, row) {
				// 二次确认删除
				this.$confirm('Whether to delete the authors joint and several institutional relationships？', '提示', {
						type: 'warning'
					})
					.then(() => {
						this.$api
							.post('master/Article/delArticleAuthor', row)
							.then(res => {
								if (res.code == 0) {
									this.$message.success('删除成功');
									this.getData();
								} else {
									this.$message.error(res.msg);
								}
							})
							.catch(err => {
								this.$message.error(err);
							});
					})
					.catch(() => {});
			},
			// 添加机构操作
			add_Schoolclick(index, row) {
				this.aid = index;
				this.addSchool = true;
			},
			schoolAdd(addFomschool) {
				this.$refs.add_School.validate((valid) => {
					if (valid) {
						this.$api
							.post('master/Article/addArticleOrgan', this.addFomschool)
							.then(res => {
								if (res.code == 0) {
									this.addSchool = false;
									this.$refs.add_School.resetFields();
									this.getData();
								} else {
									this.$message.error(res.msg);
								}
							})
							.catch(err => {
								this.$message.error(err);
							});
					} else {
						this.$message.error('error submit!!');
						return false;
					}
				});
			},
			// 编辑机构操作
			schoolhandEdit(index, row) {
				this.idx = index;
				this.editFomschool = Object.assign({}, row);
				this.editSchool = true;
			},
			schoolEdit(editFomschool) {
				this.$refs.edit_School.validate((valid) => {
					if (valid) {
						this.$api
							.post('master/Article/editArticleOrgan', this.editFomschool)
							.then(res => {
								if (res.code == 0) {
									this.editSchool = false;
									this.$message.success(`更改第 ${this.idx + 1} 行机构成功`);
									this.getData();
								} else {
									this.$message.error(res.msg);
								}
							})
							.catch(err => {
								this.$message.error(err);
							});
					} else {
						this.$message.error('error submit!!');
						return false;
					}
				});
			},
			// 删除机构
			schoolDelete(index, row) {
				// 二次确认删除
				this.$confirm(
						'Do you want to delete the author relationship between the organization and its associated authors？',
						'提示', {
							type: 'warning'
						})
					.then(() => {
						this.$api
							.post('master/Article/delArticleOrgan', row)
							.then(res => {
								if (res.code == 0) {
									this.$message.success('删除成功');
									this.getData();
								} else {
									this.$message.error(res.msg);
								}
							})
							.catch(err => {
								this.$message.error(err);
							});
					})
					.catch(() => {});
			},
			//上传图片1
			handleAvatarSuccess(res, file) {
				if (res.code == 0) {
					this.addForm1.icon = res.upurl;
				} else {
					this.$message.error(res.msg);
				}
				this.imageUrl = URL.createObjectURL(file.raw);
			},
			handleAvatarError(res, file) {

			},
			beforeAvatarUpload(file) {
				const isLt2M = file.size / 1024 / 1024 < 1;
				if (!isLt2M) {
					this.$message.error('图片大小不能超过 1M!');
				}
				return isLt2M;
			},
			//上传图片2
			handleAvatarSuccess_(res, file) {
				if (res.code == 0) {
					this.addForm1.rotation = res.upurl;
				} else {
					this.$message.error(res.msg);
				}
				this.imageUrl_ = URL.createObjectURL(file.raw);
			},
			handleAvatarError_(res, file) {

			},
			beforeAvatarUpload_(file) {
				const isLt2M = file.size / 1024 / 1024 < 1;
				if (!isLt2M) {
					this.$message.error('图片大小不能超过 1M!');
				}
				return isLt2M;
			},

			// 选择话题
			chan_topic($event, val) {
				if ($event == true) {
					this.$api
						.post('master/Article/addTopicByArticle', {
							'article_id': this.$route.query.article_num,
							'topic_id': val.journal_topic_id
						})
						.then(res => {
							if (res.code == 0) {
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				} else {
					this.$api
						.post('master/Article/delTopic', {
							'article_to_topic_id': val.article_to_topic_id
						})
						.then(res => {
							if (res.code == 0) {
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				}
			},

			// 上传文件
			handleChangeF(file, fileList) {
				if (fileList.length > 0) {
					this.file_picF = [fileList[fileList.length - 1]]
				}
			},
			handleChange2(file, fileList) {
				if (fileList.length > 0) {
					this.fileL_pdf = [fileList[fileList.length - 1]]
				}
			},
			handleChange3(file, fileList) {
				if (fileList.length > 0) {
					this.fileL_sub = [fileList[fileList.length - 1]]
				}
			},
			handleChange4(file, fileList) {
				if (fileList.length > 0) {
					this.fileL_sub2 = [fileList[fileList.length - 1]]
				}
			},
			handleChange5(file, fileList) {
				if (fileList.length > 0) {
					this.fileL_Note = [fileList[fileList.length - 1]]
				}
			},
			handleChange6(file, fileList) {
				if (fileList.length > 0) {
					this.fileL_Tex = [fileList[fileList.length - 1]]
				}
			},
			handleChange7(file, fileList) {
				if (fileList.length > 0) {
					this.fileL_Icm = [fileList[fileList.length - 1]]
				}
			},


			// 上传文件
			handleFileSuccessF(res, file) {
				if (res.code == 0) {
					this.$api
						.post('master/Article/editArticleFile', {
							'article_id': this.$route.query.article_num,
							'filetype': 'PDF',
							'fileURL': res.upurl
						})
						.then(res => {
							if (res.code == 0) {
								this.$message.success('图片证书上传成功');
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				} else {
					this.$message.error(res.msg);
				}
			},
			handleFileSuccess2(res, file) {
				if (res.code == 0) {
					this.$api
						.post('master/Article/editArticleFile', {
							'article_id': this.$route.query.article_num,
							'filetype': 'PDF',
							'fileURL': res.upurl
						})
						.then(res => {
							if (res.code == 0) {
								this.$message.success('PDF上传成功');
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				} else {
					this.$message.error(res.msg);
				}
			},
			handleFileSuccess3(res, file) {
				if (res.code == 0) {
					this.$api
						.post('master/Article/editArticleFile', {
							'article_id': this.$route.query.article_num,
							'filetype': 'SUB',
							'fileURL': res.upurl
						})
						.then(res => {
							if (res.code == 0) {
								this.$message.success('SUB文件上传成功');
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				} else {
					this.$message.error(res.msg);
				}
			},
			handleFileSuccess4(res, file) {
				if (res.code == 0) {
					this.$api
						.post('master/Article/editArticleFile', {
							'article_id': this.$route.query.article_num,
							'filetype': 'SUB2',
							'fileURL': res.upurl
						})
						.then(res => {
							if (res.code == 0) {
								this.$message.success('SUB2文件上传成功');
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				} else {
					this.$message.error(res.msg);
				}
			},
			handleFileSuccess5(res, file) {
				if (res.code == 0) {
					this.$api
						.post('master/Article/editArticleFile', {
							'article_id': this.$route.query.article_num,
							'filetype': 'endNote',
							'fileURL': res.upurl
						})
						.then(res => {
							if (res.code == 0) {
								this.$message.success('EndNote文件上传成功');
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				} else {
					this.$message.error(res.msg);
				}
			},
			handleFileSuccess6(res, file) {
				if (res.code == 0) {
					this.$api
						.post('master/Article/editArticleFile', {
							'article_id': this.$route.query.article_num,
							'filetype': 'bibTex',
							'fileURL': res.upurl
						})
						.then(res => {
							if (res.code == 0) {
								this.$message.success('BibTeX文件上传成功');
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				} else {
					this.$message.error(res.msg);
				}
			},
			handleFileSuccess7(res, file) {
				if (res.code == 0) {
					this.$api
						.post('master/Article/editArticleFile ', {
							'article_id': this.$route.query.article_num,
							'filetype': 'CDF',
							'fileURL': res.upurl
						})
						.then(res => {
							if (res.code == 0) {
								this.$message.success('ICMJE DISCLOSURE FORM文件上传成功');
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				} else {
					this.$message.error(res.msg);
				}
			},
			handleFileError(res, file) {

			},
			handleRemove(file, fileList) {

			},
			handlePreview(file) {
				window.open(file.url);
			},
			handleExceed(files, fileList) {
				this.$message.warning("当前限制选择 1 个文件，请先删除当前文件！");
			},
			// 删除文件
			beforeRemoveF(file, fileList) {
				return this.$confirm(`确定移除 ${ file.name }？`).then(() => {
					this.$api
						.post('master/Article/editArticleFile', {
							'article_id': this.$route.query.article_num,
							'filetype': 'PDF',
							'fileURL': ''
						})
						.then(res => {
							if (res.code == 0) {
								this.$message.success('文件证书删除成功');
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				});
			},
			beforeRemove2(file, fileList) {
				return this.$confirm(`确定移除 ${ file.name }？`).then(() => {
					this.$api
						.post('master/Article/editArticleFile', {
							'article_id': this.$route.query.article_num,
							'filetype': 'PDF',
							'fileURL': ''
						})
						.then(res => {
							if (res.code == 0) {
								this.$message.success('PDF文件删除成功');
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				});
			},
			beforeRemove3(file, fileList) {
				return this.$confirm(`确定移除 ${ file.name }？`).then(() => {
					this.$api
						.post('master/Article/editArticleFile', {
							'article_id': this.$route.query.article_num,
							'filetype': 'SUB',
							'fileURL': ''
						})
						.then(res => {
							if (res.code == 0) {
								this.$message.success('SUB文件删除成功');
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				});
			},
			beforeRemove4(file, fileList) {
				return this.$confirm(`确定移除 ${ file.name }？`).then(() => {
					this.$api
						.post('master/Article/editArticleFile', {
							'article_id': this.$route.query.article_num,
							'filetype': 'SUB2',
							'fileURL': ''
						})
						.then(res => {
							if (res.code == 0) {
								this.$message.success('SUB2文件删除成功');
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				});
			},
			beforeRemove5(file, fileList) {
				return this.$confirm(`确定移除 ${ file.name }？`).then(() => {
					this.$api
						.post('master/Article/editArticleFile', {
							'article_id': this.$route.query.article_num,
							'filetype': 'endNote',
							'fileURL': ''
						})
						.then(res => {
							if (res.code == 0) {
								this.$message.success('EndNote文件删除成功');
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				});
			},
			beforeRemove6(file, fileList) {
				return this.$confirm(`确定移除 ${ file.name }？`).then(() => {
					this.$api
						.post('master/Article/editArticleFile', {
							'article_id': this.$route.query.article_num,
							'filetype': 'bibTex',
							'fileURL': ''
						})
						.then(res => {
							if (res.code == 0) {
								this.$message.success('BibTeX文件删除成功');
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				});
			},
			beforeRemove7(file, fileList) {
				return this.$confirm(`确定移除 ${ file.name }？`).then(() => {
					this.$api
						.post('master/Article/editArticleFile', {
							'article_id': this.$route.query.article_num,
							'filetype': 'CDF',
							'fileURL': ''
						})
						.then(res => {
							if (res.code == 0) {
								this.$message.success('ICMJE DISCLOSURE FORM文件删除成功');
								this.getData();
							} else {
								this.$message.error(res.msg);
							}
						})
						.catch(err => {
							this.$message.error(err);
						});
				});
			},

			// 富文本编辑器
			onEditorChange({
				editor,
				html,
				text
			}) {
				this.content = html;
			},
			// 保存添加
			saveAdd1(addForm1) {
				this.addForm1.journal_stage_id = this.addForm1.optionx[1];
				if (this.addForm1.abstract == '') {
					this.$message.error("请编写文章简介！");
				}
				// else if (this.file_picF[0].url == '') {
				// 	this.$message.error("请上传证书文件！");
				// } 
				else {
					this.$refs.add_Form1.validate((valid) => {
						if (valid) {
							this.$api
								.post('master/Article/editArticleBase', this.addForm1)
								.then(res => {
									if (res.code == 0) {
										this.$message.success(`修改文章成功`);
										this.getData();
									} else {
										this.$message.error(res.msg);
									}
								})
								.catch(err => {
									this.$message.error(err);
								});
						} else {
							this.$message.error('error submit!!');
							return false;
						}
					});
				}
			},
		},
		components: {
			quillEditor
		},
	}
</script>

<style>
	.handle-box {
		margin-bottom: 20px;
	}

	.el-table {
		margin-bottom: 40px;
	}

	.title_header {
		margin-bottom: 20px;
	}

	.captcha-img.el-switch.is-disabled {
		opacity: 1;
	}

	.captcha-img.el-switch.is-disabled .el-switch__core {
		cursor: pointer;
	}

	.message-title {
		cursor: pointer;
	}

	.quill-editor {
		margin-bottom: 20px;
		/* height: 200px; */
	}

	.ql-toolbar {
		border: 1px solid #DCDFE6 !important;
	}

	.ql-container {
		min-height: 100px !important;
		border: 1px solid #DCDFE6 !important;
	}

	.ql-editor {
		height: 100px;
	}

	.upload-demo .el-upload {
		width: 55px;
		float: left;
		margin-left: 20px;
	}

	.el-upload-list {
		margin-top: 4px;
		margin-left: 10px;
		float: left;
		width: 30px;
	}

	.el-upload-list .el-upload-list__item {
		width: 30px !important;
	}

	.el-upload-list .el-upload-list__item:hover {
		cursor: pointer;
	}

	.el-upload-list .el-upload-list__item .el-upload-list__item-name {
		width: 30px;
	}

	.el-upload-list .el-upload-list__item .el-upload-list__item-status-label {
		display: none;
	}

	.el-upload-list__item:hover .el-icon-close {
		display: none;
	}

	.red {
		color: #ff0000;
	}

	.avatar-uploader .el-upload {
		border: 1px dashed #d9d9d9;
		border-radius: 6px;
		cursor: pointer;
		position: relative;
		overflow: hidden;
		width: 140px;
		height: 140px;
	}

	.avatar-uploader .el-upload:hover {
		border-color: #409EFF;
	}

	.avatar-uploader-icon {
		font-size: 28px;
		color: #8c939d;
		width: 140px;
		height: 140px;
		line-height: 140px;
		text-align: center;
	}

	.avatar {
		width: 140px;
		height: 140px;
		display: block;
	}

	.upload-demo .el-upload {
		border: none;
		text-align: left;
		height: 35px;
	}

	.upload-demo .el-upload-list__item:first-child {
		margin-top: 0;
		width: 300px;
	}

	.suoshu_jigou .el-checkbox__label {
		white-space: normal;
	}

	.suoshu_jigou .el-checkbox__input {
		vertical-align: top;
		margin-top: 8px;
	}
</style>
